class Necromancer extends Enemy {
  int spawn_timer, max_spawn_timer;
  
  Necromancer(float temp_x, float temp_y, Block[][] temp_blocks) {
    super(temp_x, temp_y, "necromancer", "necromancer.png", 50, temp_blocks);
    attack = 1;
    health = 25;
    max_health = 2;
    speed = 2;
    attack_cooldown = 50;
    max_spawn_timer = 500;
    spawn_timer = max_spawn_timer;
  }
  
  void update(Player player) {
    if (spawn_timer == 0) {
      game.enemies.add(new Skeleton(location.x, location.y, blocks));
      spawn_timer = max_spawn_timer;
    } else {
      spawn_timer--;
    }
    super.update(player);
  }
}