class Particle {
  //a class for a particle
  float x, y, x_speed, y_speed, light_level, fuse, max_fuse, size;
  boolean fade;
  color theColor;
  boolean xy;
  PImage img;
  
  Particle(float _x, float _y, float _x_speed, float _y_speed, float _fuse, color _color, float _size, float _light_level, boolean _fade) {
    x = _x;
    y = _y;
    x_speed = _x_speed;
    y_speed = _y_speed;
    light_level = _light_level;
    fuse = _fuse;
    max_fuse = _fuse;
    theColor = _color;
    size = _size;
    fade = _fade;
  }
  
  void update() {
    if (fuse > 0) {
      x += x_speed;
      y += y_speed;
      fuse--;
      drawSprite();
    }
  }
  
  void drawSprite() {
    rectMode(CENTER);
    if (fade) {
      fill(theColor, 255*fuse/max_fuse);
    } else {
      fill(theColor);
    }
    rect(x, y, size, size);
  }
}