class LivingBomb extends Enemy {
  LivingBomb(float temp_x, float temp_y, Block[][] temp_blocks) {
    super(temp_x, temp_y, "living bomb", "living_bomb.png", 50, temp_blocks);
    attack = 0;
    health = 10;
    max_health = 10;
    speed = 2;
    attack_cooldown = 0;
  }
  
  void update(Player player) {
    //game.enemy_bullets.add(new EnemyBullet(super.location.x, super.location.y, 5, 100, "dark_wizard_bullet.png", 0, 0, true));
    super.update(player);
    if (is_dead || dist(location.x, location.y, player.x, player.y) < 100) {
      float[] bullet_directions = new float[16];
      for (float i = 0; i < 360; i += 22.5) {
        bullet_directions[int(i/22.5)] = i;
      }
      for (float i : bullet_directions) {
        game.enemy_bullets.add(new EnemyBullet(super.location.x, super.location.y, 5, i, 500, "living_bomb_bullet.png", 8, 0, true));
      }
      super.is_dead = true;
    }
  }
}